Permalink
Switch branches/tags
Nothing to show
Find file
Fetching contributors…
Cannot retrieve contributors at this time
141 lines (135 sloc) 5.29 KB
# Generated by jeweler
# DO NOT EDIT THIS FILE DIRECTLY
# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{rails-webgl}
s.version = "0.0.0.1"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Colin MacKenzie IV"]
s.date = %q{2011-03-03}
s.description = %q{A WebGL framework for Rails.}
s.email = %q{sinisterchipmunk@gmail.com}
s.extra_rdoc_files = [
"LICENSE.txt",
"README.rdoc"
]
s.files = [
".document",
".rspec",
"Gemfile",
"Gemfile.lock",
"LICENSE.txt",
"README.rdoc",
"Rakefile",
"VERSION",
"lib/rails-webgl.rb",
"lib/webgl.rb",
"lib/webgl/railtie.rb",
"public/javascripts/control/keycodes.js",
"public/javascripts/control/mouse_weight.js",
"public/javascripts/culling/octree.js",
"public/javascripts/engine/animation.js",
"public/javascripts/engine/assertions.js",
"public/javascripts/engine/buffer.js",
"public/javascripts/engine/camera.js",
"public/javascripts/engine/canvas_texture.js",
"public/javascripts/engine/context.js",
"public/javascripts/engine/core.js",
"public/javascripts/engine/frustum.js",
"public/javascripts/engine/heightmap.js",
"public/javascripts/engine/lighting.js",
"public/javascripts/engine/mesh.js",
"public/javascripts/engine/plane.js",
"public/javascripts/engine/shader.js",
"public/javascripts/engine/text.js",
"public/javascripts/engine/texture.js",
"public/javascripts/engine/vector.js",
"public/javascripts/engine/video_texture.js",
"public/javascripts/engine/world.js",
"public/javascripts/gl-utils.js",
"public/javascripts/models/actor.js",
"public/javascripts/models/ai.js",
"public/javascripts/models/creature.js",
"public/javascripts/objects/axis.js",
"public/javascripts/objects/cube.js",
"public/javascripts/objects/json3d.js",
"public/javascripts/objects/line.js",
"public/javascripts/objects/md2.js",
"public/javascripts/objects/point.js",
"public/javascripts/objects/quad.js",
"public/javascripts/objects/renderable.js",
"public/javascripts/objects/skeleton.js",
"public/javascripts/objects/sphere.js",
"public/javascripts/sylvester-ext.js",
"public/javascripts/sylvester.js",
"public/javascripts/systems/particle_manager.js",
"public/javascripts/systems/particle_system.js",
"public/javascripts/tests/engine/camera.js",
"public/javascripts/tests/engine/core.js",
"public/javascripts/tests/engine/heightmap.js",
"public/javascripts/tests/engine/lighting.js",
"public/javascripts/tests/engine/renderable.js",
"public/javascripts/tests/engine/shader.js",
"public/javascripts/tests/engine/world.js",
"public/javascripts/tests/objects/md2.js",
"public/javascripts/tests/objects/skeleton.js",
"public/javascripts/tests/test_helper.js",
"public/javascripts/webgl.js",
"spec/javascripts/PlayerSpec.js",
"spec/javascripts/helpers/SpecHelper.js",
"spec/javascripts/support/jasmine.yml",
"spec/javascripts/support/jasmine_runner.rb",
"spec/spec_helper.rb",
"spec/support/mock_env/config/database.yml",
"spec/support/mock_env/db/db.sqlite3",
"spec/support/views/webgl_tests/webgl_inclusion.html.erb",
"spec/views/webgl_inclusion_spec.rb",
"spec/webgl_spec.rb"
]
s.homepage = %q{http://thoughtsincomputation.com}
s.licenses = ["MIT"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.5.2}
s.summary = %q{A WebGL framework for Rails.}
s.test_files = [
"spec/javascripts/support/jasmine_runner.rb",
"spec/spec_helper.rb",
"spec/views/webgl_inclusion_spec.rb",
"spec/webgl_spec.rb"
]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<rails>, ["~> 3.0"])
s.add_development_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_development_dependency(%q<jasmine>, [">= 0"])
s.add_development_dependency(%q<rspec>, ["~> 2.2.0"])
s.add_development_dependency(%q<rspec-rails>, [">= 2.2.1"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_development_dependency(%q<jeweler>, ["~> 1.5.1"])
s.add_development_dependency(%q<rcov>, [">= 0"])
s.add_development_dependency(%q<webrat>, [">= 0.7.2.beta"])
else
s.add_dependency(%q<rails>, ["~> 3.0"])
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<jasmine>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.2.0"])
s.add_dependency(%q<rspec-rails>, [">= 2.2.1"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.1"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<webrat>, [">= 0.7.2.beta"])
end
else
s.add_dependency(%q<rails>, ["~> 3.0"])
s.add_dependency(%q<sqlite3-ruby>, [">= 0"])
s.add_dependency(%q<jasmine>, [">= 0"])
s.add_dependency(%q<rspec>, ["~> 2.2.0"])
s.add_dependency(%q<rspec-rails>, [">= 2.2.1"])
s.add_dependency(%q<bundler>, ["~> 1.0.0"])
s.add_dependency(%q<jeweler>, ["~> 1.5.1"])
s.add_dependency(%q<rcov>, [">= 0"])
s.add_dependency(%q<webrat>, [">= 0.7.2.beta"])
end
end